GET/Fulfillment/{fulfillmentId}
Returns one fulfillment with its items, including each item's resource type, quantity, true-up,
settlement and the reservations filling it. The fulfillmentId comes from Fulfillment_GetFulfillments.
Path Parameters
| Field | Type | Required | Description |
|---|
| fulfillmentId | uuid | Required | |
Response
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| orderId | uuid| null | |
| orderName | string| null | |
| receivedDate | date-time| null | |
| notes | string| null | |
| items | GetFulfillmentResponseItemInfo[]| null | |
GetFulfillmentResponseItemInfo
| Field | Type | Description |
|---|
| id | uuid | |
| type | GetFulfillmentResponseTypeInfo | |
| procurementResourceId | uuid| null | |
| orderLineItemId | uuid| null | |
| resourceId | uuid| null | |
| quantity | number | |
| quantityUsed | number| null | |
| unusedDisposition | string| null | |
| rateCardId | uuid| null | |
| settlement | string| null | |
| reservations | GetFulfillmentResponseReservationInfo[]| null | |
| filledSlots | integer | |
GetFulfillmentResponseTypeInfo
| Field | Type | Description |
|---|
| id | uuid | |
| name | string| null | |
| trackingType | string| null | |
GetFulfillmentResponseReservationInfo
| Field | Type | Description |
|---|
| id | uuid | |
| resourceId | uuid| null | |
| resourceName | string| null | |
| status | string| null | |
| origin | string| null | |
| isReplaced | boolean | |
| replacedByReservationId | uuid| null | |
| rateCardId | uuid| null | |
| settlement | string| null | |
| notes | string| null | |
| scheduleBlockCount | integer | |